create xform /graph1 [10,20,600,400]
create xgraph /graph1/ca -title "cal" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits mM xmax 400 ymin 0 ymax 0.001
create xgraph /graph1/buf -title "buf" -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec YUnits nA xmax  400 ymin 0 ymax 0.03
create xgraph /graph1/x1 -title "x1" -xgeom 300 -ygeom 0 -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec ymax 1.0 ymin 0 xmax 200
create xgraph /graph1/x2 -title "x2" -xgeom 300 -hgeom 50% -wgeom 50%
setfield ^ XUnits mSec  xmax 300 ymax 1.0 ymin 0

addmsg somaCa /graph1/ca PLOT Conc *somaca *blue 
addmsg somaCabuf /graph1/buf PLOT Conc *somaCabuf *blue 

addmsg dendCa /graph1/ca PLOT Conc *dendca *black
addmsg dendCabuf /graph1/buf PLOT Conc *dendCabuf *black

addmsg ERCa /graph1/buf PLOT Conc *ERca *red

addmsg ERCa/x100 /graph1/x1 PLOT fraction *x100 *black
addmsg ERCa/x110 /graph1/x1 PLOT fraction *x110 *blue
addmsg ERCa/x111 /graph1/x1 PLOT fraction *x111 *red
addmsg ERCa/x101 /graph1/x1 PLOT fraction *x101 *white

addmsg ERCa/x000 /graph1/x2 PLOT fraction *x000 *black
addmsg ERCa/x010 /graph1/x2 PLOT fraction *x010 *blue
addmsg ERCa/x011 /graph1/x2 PLOT fraction *x011 *red
addmsg ERCa/x001 /graph1/x2 PLOT fraction *x001 *white

xshow /graph1
useclock /graph1/# 1
